package com.yihu.wlyy.statistics.etl.model;

import java.util.List;

/**
 * Created by Administrator on 2016.10.16.
 * 過濾器模型
 */
public class FilterModel {
    private LogModel logModel;
    private List<ETLModel> etlModelList;
    private Boolean isError;

    private FilterModel(){

    }

    public FilterModel( LogModel logModel, List<ETLModel> etlModelList,Boolean isError) {
        this.isError=isError;
        this.logModel = logModel;
        this.etlModelList = etlModelList;
    }

    public LogModel getLogModel() {
        return logModel;
    }

    public static FilterModel getFiltrerMode(LogModel logModel, List<ETLModel> etlModelList,Boolean isError){
        return new FilterModel(logModel,etlModelList,isError);
    }

    public void setLogModel(LogModel logModel) {
        this.logModel = logModel;
    }

    public Boolean getError() {
        return isError;
    }

    public void setError(Boolean error) {
        isError = error;
    }

    public List<ETLModel> getEtlModelList() {
        return etlModelList;
    }

    public void setEtlModelList(List<ETLModel> etlModelList) {
        this.etlModelList = etlModelList;
    }
}
